### Method

# ECal ComponentAlarm take_acknowledged

since: 3.40

#### Declaration [src]

    void
    e_cal_component_alarm_take_acknowledged (
      ECalComponentAlarm* alarm,
      ICalTime* when
    )

#### Description [src]

Set the acknowledged time of the `alarm`. Use `NULL` to unset it. The function assumes ownership of the `when`.

Available since: 3.40

#### Parameters

`when`

  Type: `None`

  An `ICalTime` when the `alarm` had been acknowledged, or `NULL` to unset.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.